For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Backups

This endpoint enables retrieving all Backups using pagination and optional filters.

get
/backups
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.clusterIdstring · uuidOptional

The ID (UUID) of the cluster to filter backups by.

Responses
200

Returned all requested Backups successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Backup resources.

Example: 9dfaa2e1-eabb-530a-af48-a2b61d99d734
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Backup resources.

Example: /backups
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/backups
GET /v2/backups HTTP/1.1
Host: mariadb.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "9dfaa2e1-eabb-530a-af48-a2b61d99d734",
  "type": "collection",
  "href": "/backups",
  "items": [
    {
      "id": "45ca67fb-8b07-5783-9c97-2d35acceb084",
      "type": "backup",
      "href": "/backups/45ca67fb-8b07-5783-9c97-2d35acceb084",
      "metadata": {},
      "properties": {
        "clusterId": "dcd31531-3ac8-11eb-9feb-046c59cc737e",
        "clusterName": "my-mariadb-cluster",
        "mariadbClusterVersion": "11.4",
        "earliestRecoveryTargetTime": "2023-10-05T14:48:00.000Z",
        "latestRecoveryTargetTime": "2023-10-10T14:48:00.000Z",
        "location": "eu-central-3"
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?